package cz.vsb.fei.efrei.lab03;

import java.util.Random;
import java.util.Scanner;

public class DangerWorld {
	private static final Random RANDOM = new Random();

	public static void main(String[] args) {
		Fighter[] fighters = new Fighter[6];
		try (Scanner s = new Scanner(System.in)) {
			System.out.println("Type name of monster:");
			String name = s.next();

			Monster monster = new Monster(name);
			fighters[0] = monster;
			fighters[1] = new Monster("King");
			fighters[2] = new Monster("Queen");
			fighters[3] = new Monster("Fairy");
			fighters[4] = new Hero("Shrek");
			fighters[5] = new Hero("Cinderela");

			int rounds = 100;

			for (int i = 0; i < rounds; i++) {
				Fighter fighter1 = fighters[RANDOM.nextInt(6)];
				Fighter fighter2 = fighters[RANDOM.nextInt(6)];
				try {
					fighter1.attackedBy(fighter2);
				} catch (AlreadyDeadException e) {
					System.out.println(
							"Ups! Fighter " 
					+ fighter2.getName()
					+ " attack already dead "
					+ fighter1.getName());
				}
			}
		}

	}
}
